V1.0
post
/ec-designer-edc-svc/rest/v1.0/studies/{studyId}/visitsforms/strata
Returns randomization strata item data for the requested study-version visits. The request body is an array where each object identifies a study version and visit. The response is an EDC envelope whose result contains strata and their related visit item details grouped by study version.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string).Example:
F054C951EB74443C93716CA714AB686E
Query Parameters
-
mode: string
Study mode filter.Allowed Values:
[ "test", "training", "active" ]Example:test
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Strata items were returned successfully.
Nested Schema : RespStratumVisitItemsDto
Type:
Show Source
object-
strata: object
StratumVisitDto v1.0
Title:
StratumVisitDto v1.0Stratum Visit Detail Information -
studyVersion: string
Study VersionExample:
1.0.0.1
Nested Schema : StratumVisitDto v1.0
Type:
objectTitle:
StratumVisitDto v1.0Stratum Visit Detail Information
Show Source
-
items: object
StratumItemDto v1.0
Title:
StratumItemDto v1.0Stratum Item Detail Information -
visitId: string
(uuid)
Visit Id
Nested Schema : StratumItemDto v1.0
Type:
objectTitle:
StratumItemDto v1.0Stratum Item Detail Information
Show Source
-
formId: string
(uuid)
Form Id
-
itemId: string
(uuid)
Stratum Item Id
-
itemRefName: string
Item Ref CodeExample:
TEXT -
sasVariable: string
SAS VariableExample:
Text
Examples
400 Response
The request payload is missing studyVersion or visitId, or contains invalid values.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples